summaryrefslogtreecommitdiffstats
path: root/cm-container/scripts/init-cloudify.sh
diff options
context:
space:
mode:
Diffstat (limited to 'cm-container/scripts/init-cloudify.sh')
-rw-r--r--cm-container/scripts/init-cloudify.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/cm-container/scripts/init-cloudify.sh b/cm-container/scripts/init-cloudify.sh
new file mode 100644
index 0000000..8e74c8a
--- /dev/null
+++ b/cm-container/scripts/init-cloudify.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+# ============LICENSE_START=======================================================
+# org.onap.dcae
+# ================================================================================
+# Copyright (c) Nokia. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ============LICENSE_END=========================================================
+
+set -ex
+
+/scripts/setup-secret.sh
+/scripts/set-admin-password.sh
+/scripts/load-plugins.sh
+
+set +x
+
+echo "Cloudify ready"